<!DOCTYPE html>
<html>

<head>
    <title>Page title</title>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
</head>
<script>
    $(document).ready(function () {
        for (let date = 1; date <= 31; date++) {
            let option = $("<option value='" + date + "'></option>").text(date);
            $('#date').append(option);
        }

        for (let month = 1; month <= 12; month++) {
            $('#month').append($("<option></option>").attr("value", month).text(month));
        }

        for (let year = 1980; year <= 2005; year++) {
            $('#year').append($("<option></option>").attr("value", year).text(year));
        }

        let password = document.getElementById("password")
        let confirm_password = document.getElementById("confirm_password");
        let submit = document.getElementById("confirm");

        function validatePassword() {
            if (password.value !== confirm_password.value) {
                confirm_password.setCustomValidity("Passwords Don't Match");
            } else {
                confirm_password.setCustomValidity('');
            }
        }
        password.onchange = validatePassword;
        confirm_password.onkeyup = validatePassword;

        let email = document.getElementById("email")
        let confirm_email = document.getElementById("confirm_email");

        function validateEmail() {
            if (email.value !== confirm_email.value) {
                confirm_email.setCustomValidity("Email Don't Match");
            } else {
                confirm_email.setCustomValidity('');
            }
        }
        submit.onclick = validateEmail;
    });
</script>
<style>
    #content {
        width: 50%;
        margin: auto;
    }

    #register {
        width: 50%;
        margin: auto;
        float: center;
    }

    .column {
        float: left;
        padding: 10px;
    }
</style>

<body>
    <div id="content">
        <form>
            <fieldset>
                <legend>Register Form:</legend>
                <div id="register">
                    <div class="column" style="width: 130px;">
                        <div>First name:</div>
                        Last name:
                        <br> Password:
                        <br> Confirm Password:
                        <br> Email:
                        <br> Confirm Email:
                        <br> Birthday:
                        <br> Gender:
                        <br>
                    </div>
                    <div class="column" style="width: 150px;">
                        <input type="text" name="FirstName">
                        <input type="text" name="LastName">
                        <input id="password" type="password" name="Password">
                        <input id="confirm_password" type="password" name="Password">
                        <input id="email" type="email" name="email">
                        <input id="confirm_email" type="email" name="email">
                        <div>
                            <select id="date" name="date"></select>
                            <select id="month" name="time"></select>
                            <select id="year" name="year"></select>
                        </div>
                        <div>
                            <input type="radio" name="gender" value="male" checked="checked"> Male
                            <input type="radio" name="gender" value="male"> Female
                        </div>
                    </div>
                    <div style="width:100%;text-align: center">
                        <input id="confirm" type="submit" value="Submit" action="/register_form.html"></input>
                        <input type="reset" value="Reset"></input>
                    </div>
                </div>
            </fieldset>
        </form>
    </div>
</body>

</html>